
Smart Proxy - Refactor #6522

Move ForemanRequest class out of the chef plugin

07/08/2014 08:08 AM - Martin Milata

Status: Closed   

Priority: Normal   

Assignee: Martin Milata   

Category: Plugins   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/182

  

Description

It does not currently contain any chef-specific code and it's easier for other plugins to use if it's in the core.

Associated revisions

Revision 6108539b - 08/06/2014 09:10 AM - Martin Milata 

fixes #6522 - move request code out of chef module

The patch also moves foreman_ssl_ca, foreman_ssl_cert and

foreman_ssl_key config options from Chef plugin config to global config

and adds fallback to the ssl_* options if these are not defined.

History

#1 - 07/08/2014 08:27 AM - Dominic Cleal

- Category set to Plugins

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

https://github.com/theforeman/smart-proxy/pull/182

#2 - 07/24/2014 06:50 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/182 added

#3 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#4 - 08/05/2014 08:35 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 08/06/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6108539b6e15aed6ad1c97a6b44ef0a54ccbd20e.
